JIRA 5.2.5: is PostgreSQL 9.2 compatible?

Hello:

we are in the process of upgrading our JIRA server from:

* JIRA 4.1.2 + PostgreSQL 8.3.7

to:

* JIRA 5.2.5 + PostgreSQL 9.2

On this page|https://confluence.atlassian.com/display/JIRA052/Supported+Platforms PostgreSQL 8.3, 8.4 with the PostgreSQL Driver 8.4.x are lilsted as compatible and supported with JIRA 5.2 servers.

My question is what about PostgreSQL 9.2? is it supported? if not, are there plans to support it in the future?

I don't want to upgrade to PostgreSQL 9.2 if there is a danger of incompatibility with JIRA 5.2.x.

I also don't want to stick on PostgreSQL 8.3.7 or 8.4 unless there is a compelling reason.

thanks,

-rob

2 answers

1 accepted

0 votes
Answer accepted

Unfortunately Postgres 9 is not supported on Jira 5.2 versions. Atlassian is planning to start supporting postgres 9 from jira 6.0 versions. See this link for confirmation.

https://jira.atlassian.com/browse/JRA-31319

https://jira.atlassian.com/browse/JRA-29456

Rahul

See this https://jira.atlassian.com/browse/JRA-29456. Postgres 9.1 is more likely to make the cut. Some users have been using it and it will be supported hopefully in JIRA 6.0.

Suggest an answer

Log in or Sign up to answer
Community showcase
Published Thursday in Jira

Updates to jira.atlassian.com give you visibility into what's coming in Jira Server and Data Center

Hello, Community! My name is Gosia and I'm a Product Manager on Jira Server and Data Center here at Atlassian. Since 2002 when we launched our public issue tracker, jira.atlass...

289 views 1 12
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you